# お知らせ

***

## **➊ テーマリスト** <a href="#heading-list" id="heading-list"></a>

#### **(1) インターフェース説明** <a href="#heading-list-interface" id="heading-list-interface"></a>

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/notice/categories.json

| インターフェース名 | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明   | アクセス制限可否 |
| --------- | ----- | ------ | ----- | ---- | ------------ | -------- |
| テーマリスト    | HTTPS | GET    | UTF-8 | JSON | お知らせテーマリスト取得 | 必要なし     |

***

#### **(2) リクエストパラメータ定義** <a href="#heading-list-request" id="heading-list-request"></a>

| 名称     | 変数        | データタイプ | 変数タイプ | 必須 | 説明                        |
| ------ | --------- | ------ | ----- | -- | ------------------------- |
| サービスID | serviceId | String | path  | O  | URL PATH内に設定した{serviceId} |
| 言語コード  | language  | String | query | X  | サービスのヘルプセンター基本言語コード       |

***

#### **(3) 結果データ** <a href="#heading-list-response-data" id="heading-list-response-data"></a>

| 名称              | 変数         | データタイプ  | 説明                                                       |
| --------------- | ---------- | ------- | -------------------------------------------------------- |
| result.contents | categoryId | Integer | テーマID                                                    |
|                 | parent     | Integer | <p>上位テーマID</p><ul><li>固定値: 0</li></ul>                   |
|                 | name       | String  | テーマ名                                                     |
|                 | level      | Integer | <p>レベル</p><ul><li>固定値: 1</li></ul>                       |
|                 | path       | String  | <p>レベルパス</p><ul><li>固定値: "\\"</li></ul>                  |
|                 | orderNo    | Integer | 整列順序                                                     |
|                 | languages  | Object  | <p>テーマの多言語名称・値</p><ul><li>言語コード + 対応する言語コードの名称</li></ul> |

***

#### **(4) Response Body** <a href="#heading-list-response-body" id="heading-list-response-body"></a>

```json
{   
    "header": { 
        "resultCode": 200,  
        "resultMessage": "",    
        "isSuccessful": true    
    },  
    "result": { 
        "contents": [   
            {   
                "categoryId": 2543, 
                "parent": 0,    
                "name": "유형1",  
                "level": 1, 
                "path": "\\",   
                "orderNo": 0,   
                "languages": {  
                    "ko": "유형1",    
                    "th": "พิมพ์1", 
                    "ja": "タイプ1",   
                    "en": "Type1",  
                    "zh": "类型1" 
                }   
            },  
            {   
                "categoryId": 2544, 
                "parent": 0,    
                "name": "유형2",  
                "level": 1, 
                "path": "\\",   
                "orderNo": 1,   
                "languages": {  
                    "ko": "유형2",    
                    "th": "พิมพ์2", 
                    "ja": "タイプ2",   
                    "en": "Type2",  
                    "zh": "类型2" 
                }   
            },  
            {   
                "categoryId": 2545, 
                "parent": 0,    
                "name": "유형3",  
                "level": 1, 
                "path": "\\",   
                "orderNo": 2,   
                "languages": {  
                    "ko": "유형3",    
                    "th": "พิมพ์3", 
                    "ja": "タイプ3",   
                    "en": "Type3",  
                    "zh": "类型3" 
                }   
            }   
        ]   
    }   
}
```

***

## **➋** タグリスト <a href="#tag-list" id="tag-list"></a>

#### **(1) インターフェース説明** <a href="#tag-list-interface" id="tag-list-interface"></a>

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/notice/tags.json

| インターフェース名 | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明  | アクセス制限可否 |
| --------- | ----- | ------ | ----- | ---- | ----------- | -------- |
| タグリスト     | HTTPS | GET    | UTF-8 | JSON | お知らせタグリスト取得 | 必要なし     |

***

#### **(2) リクエストパラメータ定義** <a href="#tag-list-request" id="tag-list-request"></a>

| 名称      | 変数        | データタイプ | 変数タイプ | 必須 | 説明                        |
| ------- | --------- | ------ | ----- | -- | ------------------------- |
| サービスID  | serviceId | String | path  | O  | URL PATH内に設定した{serviceId} |
| タグキーワード | language  | String | query | X  | タグ検索語                     |

***

#### **(3) 結果データ** <a href="#tag-list-response-data" id="tag-list-response-data"></a>

| 名称              | 変数        | データタイプ  | 説明                                                     |
| --------------- | --------- | ------- | ------------------------------------------------------ |
| result.contents | tagId     | Integer | タグID                                                   |
|                 | tag       | String  | タグ名称                                                   |
|                 | languages | Object  | <p>タグの多言語名称・値</p><ul><li>言語コード + 対応する言語コード名称</li></ul> |

***

#### **(4) Response Body** <a href="#tag-list-response-body" id="tag-list-response-body"></a>

```json
{   
    "header": { 
        "resultCode": 200,  
        "resultMessage": "",    
        "isSuccessful": true    
    },  
    "result": { 
        "contents": [   
            {   
                "tagId": 391,   
                "tag": "태그1",   
                "languages": {  
                    "ko": "태그1",    
                    "th": "แท็ก1",  
                    "ja": "タグ1",    
                    "en": "Tag1",   
                    "zh": "标签1" 
                }   
            },  
            {   
                "tagId": 392,   
                "tag": "태그2",   
                "languages": {  
                    "ko": "태그2",    
                    "th": "แท็ก2",  
                    "ja": "タグ2",    
                    "en": "Tag2",   
                    "zh": "标签2" 
                }   
            }   
        ]   
    }   
}
```

***

## **➌** お知らせリスト <a href="#notice-list" id="notice-list"></a>

#### **(1) インターフェース説明** <a href="#notice-list-interface" id="notice-list-interface"></a>

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/notice/list.json

| インターフェース名 | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明      | アクセス制限可否 |
| --------- | ----- | ------ | ----- | ---- | --------------- | -------- |
| お知らせリスト   | HTTPS | GET    | UTF-8 | JSON | ヘルプセンターお知らせのリスト | 共通認証     |

***

#### **(2) リクエストパラメータ定義** <a href="#notice-list-request" id="notice-list-request"></a>

> **sortパラメータの形式および例**
>
> * 形式: フィールド1:整列, フィールド2:整列, ...
> * 例: isTop:desc, createdDt:asc
> * 基本整列: isTop:desc, displayDt:desc, updatedDt:desc

| 名称           | 変数         | データタイプ  | 変数タイプ | 必須 | 説明                                                                                                                                   |
| ------------ | ---------- | ------- | ----- | -- | ------------------------------------------------------------------------------------------------------------------------------------ |
| サービスID       | serviceId  | String  | path  | O  | URL PATH内に設定した{serviceId}                                                                                                            |
| 言語コード        | language   | String  | query | X  | サービスのヘルプセンター基本言語コード                                                                                                                  |
| テーマID        | categoryId | Integer | query | X  | テーマID                                                                                                                                |
| タグID         | tagId      | Integer | query | X  | タグID                                                                                                                                 |
| キーワード検索      | query      | String  | query | X  | <p>キーワード検索</p><ul><li>検索範囲:タイトル、内容）</li></ul>                                                                                        |
| 整列順序         | sort       | String  | query | X  | <p>isTop、createdDt、updatedDt、displayDtフィールドでソート可能。複数のフィールドでソートする場合は\[,]で区切って指定してください。</p><ul><li>asc:上り順 </li><li>desc:下り順</li></ul> |
| ページ          | page       | Integer | query | X  | 基本値: 1                                                                                                                               |
| 1ページあたりの表示件数 | pageSize   | Integer | query | X  | 基本値: 10; max=200                                                                                                                     |

***

#### **(3) 結果データ** <a href="#notice-list-response-data" id="notice-list-response-data"></a>

| 名称              | 変数           | データタイプ  | 説明                                                                                             |
| --------------- | ------------ | ------- | ---------------------------------------------------------------------------------------------- |
| result.contents | noticeId     | Integer | お知らせID                                                                                         |
|                 | categoryId   | Integer | お知らせのテーマID                                                                                     |
|                 | isTop        | Boolean | <p>上段固定表記</p><ul><li>true: yes </li><li>false: no</li></ul>                                    |
|                 | title        | String  | お知らせのタイトル                                                                                      |
|                 | content      | String  | お知らせの内容                                                                                        |
|                 | displayDt    | String  | 出力時間(yyyy.mm.dd)                                                                               |
|                 | updatedDt    | Long    | 修正時間                                                                                           |
|                 | categoryName | String  | テーマ名                                                                                           |
|                 | tagStr       | Integer | タグ名                                                                                            |
|                 | isNew        | String  | <p>新規お知らせ表示 </p><ul><li>true:出力時間(displayDt)値が今日</li><li>false:出力時間(displayDt)値が今日以外</li></ul> |
| result          | total        | Integer | 総件数                                                                                            |
|                 | pages        | Integer | 総ページ数                                                                                          |
|                 | pageNum      | Integer | ページ                                                                                            |
|                 | pageSize     | Integer | 1ページあたりの表示件数                                                                                   |

***

#### **(4) Response Body** <a href="#notice-list-response-body" id="notice-list-response-body"></a>

```json
{   
    "header": { 
        "resultCode": 200,  
        "resultMessage": "",    
        "isSuccessful": true    
    },  
    "result": { 
        "contents": [   
            {   
                "noticeId": 1241,   
                "categoryId": 2543, 
                "isTop": true,  
                "title": "공지제목7",   
                "content": "공지내용7", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657243026000, 
                "categoryName": "유형1",  
                "tagStr": "태그2",    
                "isNew": false  
            },  
            {   
                "noticeId": 1246,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목11",  
                "content": "공지내용11",    
                "displayDt": "2022.07.08",  
                "updatedDt": 1657243165000, 
                "categoryName": "유형1",  
                "tagStr": "태그1",    
                "isNew": false  
            },  
            {   
                "noticeId": 1245,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목10",  
                "content": "공지내용10",    
                "displayDt": "2022.07.08",  
                "updatedDt": 1657243148000, 
                "categoryName": "유형1",  
                "tagStr": "태그1",    
                "isNew": false  
            },  
            {   
                "noticeId": 1244,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목9",   
                "content": "공지내용9", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657243129000, 
                "categoryName": "유형1",  
                "tagStr": "태그1",    
                "isNew": false  
            },  
            {   
                "noticeId": 1243,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목8",   
                "content": "공지내용8", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657243106000, 
                "categoryName": "유형1",  
                "tagStr": "태그1",    
                "isNew": false  
            },  
            {   
                "noticeId": 1240,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목6",   
                "content": "공지내용6", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657242949000, 
                "categoryName": "유형1",  
                "tagStr": "태그2",    
                "isNew": false  
            },  
            {   
                "noticeId": 1239,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목5",   
                "content": "공지내용5", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657242735000, 
                "categoryName": "유형1",  
                "tagStr": "태그1",    
                "isNew": false  
            },  
            {   
                "noticeId": 1238,   
                "categoryId": 2543, 
                "isTop": false, 
                "title": "공지제목4",   
                "content": "공지내용4", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657242576000, 
                "categoryName": "유형1",  
                "isNew": false  
            },  
            {   
                "noticeId": 1237,   
                "categoryId": 2545, 
                "isTop": false, 
                "title": "공지제목3",   
                "content": "공지내용3", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657242501000, 
                "categoryName": "유형3",  
                "tagStr": "태그1,태그2",    
                "isNew": false  
            },  
            {   
                "noticeId": 1236,   
                "categoryId": 2544, 
                "isTop": false, 
                "title": "공지제목2",   
                "content": "공지내용2", 
                "displayDt": "2022.07.08",  
                "updatedDt": 1657242420000, 
                "categoryName": "유형2",  
                "tagStr": "태그2",    
                "isNew": false  
            }   
        ],  
        "total": 11,    
        "pages": 2, 
        "pageNum": 1,   
        "pageSize": 10  
    }   
}
```

***

## **➍** お知らせ詳細 <a href="#notice-detail" id="notice-detail"></a>

#### **(1) インターフェース説明** <a href="#notice-detail-interface" id="notice-detail-interface"></a>

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/notice/detail/{id}.json

| インターフェース名 | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明       | アクセス制限可否 |
| --------- | ----- | ------ | ----- | ---- | ---------------- | -------- |
| お知らせ詳細    | HTTPS | GET    | UTF-8 | JSON | お知らせIDでお知らせ内容を取得 | 必要なし     |

***

#### **(2) リクエストパラメータ定義** <a href="#notice-detail-request" id="notice-detail-request"></a>

| 名称     | 変数        | データタイプ  | 変数タイプ | 必須 | 説明                        |
| ------ | --------- | ------- | ----- | -- | ------------------------- |
| サービスID | serviceId | String  | path  | O  | URL PATH内に設定した{serviceId} |
| お知らせID | id        | Integer | path  | O  | お知らせID                    |
| 言語コード  | language  | String  | query | X  | サービスヘルプセンターの基本言語コード       |

***

#### **(3) 結果データ** <a href="#notice-detail-response-data" id="notice-detail-response-data"></a>

| 名称             | 変数                       | データタイプ  | 説明                                                                                            |
| -------------- | ------------------------ | ------- | --------------------------------------------------------------------------------------------- |
| result.content | noticeId                 | Integer | お知らせID                                                                                        |
|                | categoryId               | Integer | テーマID                                                                                         |
|                | isTop                    | Boolean | 上段固定表記                                                                                        |
|                | title                    | String  | お知らせのタイトル                                                                                     |
|                | content                  | String  | お知らせの内容                                                                                       |
|                | displayDt                | String  | <p>出力時間</p><ul><li>yyyyMMddHHmmss</li></ul>                                                   |
|                | attachmentYn             | Boolean | <p>添付ファイル有無</p><ul><li>true:含む</li><li>false:含まない</li></ul>                                   |
|                | readCnt                  | Integer | 照会回数                                                                                          |
|                | updatedDt                | Long    | お知らせ修正時間                                                                                      |
|                | attachments              | Array   | お知らせ添付                                                                                        |
|                | attachments.attachmentId | String  | 添付ファイルID                                                                                      |
|                | attachments.fileName     | String  | 添付ファイル名                                                                                       |
|                | attachments.contentType  | String  | 添付ファイルタイプ                                                                                     |
|                | attachments.size         | Long    | 添付ファイルサイズ                                                                                     |
|                | tags                     | Array   | お知らせタグ                                                                                        |
|                | tags.tagId               | Integer | タグID                                                                                          |
|                | tags.tag                 | String  | タグ名称                                                                                          |
|                | categoryName             | String  | テーマ名称                                                                                         |
|                | isNew                    | String  | <p>新規お知らせ表示</p><ul><li>true: 出力時間(displayDt)が今日</li><li>false: 出力時間(displayDt)が今日以外</li></ul> |

***

#### **(4) Response Body** <a href="#notice-detail-response-body" id="notice-detail-response-body"></a>

```json
{   
    "header": { 
        "resultCode": 200,  
        "resultMessage": "",    
        "isSuccessful": true    
    },  
    "result": { 
        "content": {    
            "noticeId": 1240,   
            "categoryId": 2543, 
            "isTop": true,  
            "title": "공지제목6",   
            "content": "<p>공지내용6</p>",  
            "displayDt": "2022.07.08",  
            "attachmentYn": "Y",    
            "readCnt": 5,   
            "updatedDt": 1658114209000, 
            "attachments": [    
                {   
                    "attachmentId": "42fb4c8801ed4c278475f70f531b8c92", 
                    "fileName": "logo_footer.png",  
                    "contentType": "image/png", 
                    "size": 1412    
                }   
            ],  
            "tags": [   
                {   
                    "tagId": 391,   
                    "tag": "태그1"    
                },  
                {   
                    "tagId": 392,   
                    "tag": "태그2"    
                }   
            ],  
            "categoryName": "유형1",  
            "isNew": false  
        }   
    }   
}
```

***

## **➎** お知らせ添付ファイルを開く/ダウンロード <a href="#notice-attachment" id="notice-attachment"></a>

#### **(1) インターフェース説明** <a href="#notice-attachment-interface" id="notice-attachment-interface"></a>

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/notice/attachments/{id}

| インターフェース名            | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明           | アクセス制限可否 |
| -------------------- | ----- | ------ | ----- | ---- | -------------------- | -------- |
| お知らせ添付ファイルを開く/ダウンロード | HTTPS | GET    | UTF-8 | JSON | お知らせ添付ファイルを開く/ダウンロード | 必要なし     |

***

#### **(2) リクエストパラメータ定義** <a href="#notice-attachment-request" id="notice-attachment-request"></a>

| 名称           | 変数        | データタイプ | 変数タイプ | 必須 | 説明                                                                |
| ------------ | --------- | ------ | ----- | -- | ----------------------------------------------------------------- |
| サービスID       | serviceId | String | path  | O  | URL PATH内に設定した{serviceId}                                         |
| アップロードファイルID | id        | String | path  | O  | アップロードファイルID                                                      |
| 閲覧方式         | type      | String | query | X  | <p>基本値: 開く</p><ul><li>download: ダウンロード</li><li>open: 開く</li></ul> |

***

#### **(3) 結果データ** <a href="#notice-attachment-response-data" id="notice-attachment-response-data"></a>

* File


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contiple.com/jp/api/open-api/notice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
